#define u32 unsigned int

int serpent_setkey(void *ctx, const char *key, unsigned int keylen);
void serpent_encrypt(void *ctx, char *dst, const char *src);
void serpent_decrypt(void *ctx, char *dst, const char *src);

int tnepres_setkey(void *ctx, const char *key, unsigned int keylen);
void tnepres_encrypt(void *ctx, char *dst, const char *src);
void tnepres_decrypt(void *ctx, char *dst, const char *src);

